freeslot("sfx_stunt")

sfxinfo[sfx_stunt].caption = "Stunt"

//the custom variable
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.botstunt == nil then
			player.botstunt = 0
        end
    end
end)

//the stunt
addHook("ThinkFrame", function()
    for player in players.iterate do
        if (player.mo.skin == "drift" or player.mo.skin == "ressort") and (player.mo.state == S_PLAY_SPRING or player.mo.state == S_PLAY_FALL) and player.botstunt == 0 and (player.cmd.buttons & BT_SPIN)
			player.botstunt = 1
			local stunts = P_RandomRange(1,5)
			if stunts == 1
				player.mo.state = S_PLAY_TWINSPIN
				S_StartSound(player.mo, sfx_stunt)
			elseif stunts == 2
				player.mo.state = S_PLAY_FIRE
				S_StartSound(player.mo, sfx_stunt)
			elseif stunts == 3
				player.mo.state = S_PLAY_PAIN
				S_StartSound(player.mo, sfx_stunt)
			elseif stunts == 4
				player.mo.state = S_PLAY_DRWN
				S_StartSound(player.mo, sfx_stunt)
			elseif stunts == 5
				player.mo.state = S_PLAY_WALK
				S_StartSound(player.mo, sfx_stunt)
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if (player.mo.skin == "drift" or player.mo.skin == "ressort") and P_IsObjectOnGround(player.mo) and player.botstunt == 1
			player.botstunt = 0
			player.normalspeed = 45*FRACUNIT
			P_InstaThrust(player.mo, player.mo.angle, 60*FRACUNIT)
			S_StartSound(player.mo, sfx_zoom)
			player.weapondelay = 100
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if (player.mo.skin == "drift" or player.mo.skin == "ressort") and player.weapondelay == 0 and not (player.driftmode == true or player.driftingtimer > 0 or player.driftnboost == true or player.driftnboosting > 0 or player.ressorting == true or player.ressorttimer > 0 or player.ressortmode == true)
			player.normalspeed = 36*FRACUNIT
		end
	end
end)